From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ldap/
Date: Fri, 9 Oct 2020 23:08:10 +0000 (UTC) [thread overview]
Message-ID: <1602284884.544a9136b11cd824288c6d87f94c9cff34d53681.chutzpah@gentoo> (raw)
commit: 544a9136b11cd824288c6d87f94c9cff34d53681
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Fri Oct 9 22:11:01 2020 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Fri Oct 9 23:08:04 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=544a9136
dev-python/python-ldap-3.3.1: Version bump
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/python-ldap/Manifest | 1 +
dev-python/python-ldap/python-ldap-3.3.1.ebuild | 91 +++++++++++++++++++++++++
2 files changed, 92 insertions(+)
diff --git a/dev-python/python-ldap/Manifest b/dev-python/python-ldap/Manifest
index 055f928ceea..afc7c4fd616 100644
--- a/dev-python/python-ldap/Manifest
+++ b/dev-python/python-ldap/Manifest
@@ -1 +1,2 @@
DIST python-ldap-3.2.0.tar.gz 367645 BLAKE2B 5109f4a13644d53fff7506ad2417da6dbfd5d1c5d31cc63932338ee0bc7327b00878804764366523fc0610191126c1a1367e15fddbad481880f73d29d96d3322 SHA512 ef2833739fd57ad26d97ae5dba3bca8a47e770ff3f113d06a5bed0841f8fcbbe6cd102e75c753dfff48f5f6041f46a91c6166f3bb9ca44ef9bd643c0666c6b23
+DIST python-ldap-3.3.1.tar.gz 379810 BLAKE2B bb5d4902211b70cc57d2967134d3c41768bfedbec40be0d5bb592b96523f408952ca7e9a18546cc24f8267e958f454d56d97952092bc46e02bc9954bced9ba00 SHA512 2a1222bf5bbc1d885611fc4f2a25d0b1b64b49ae379f1212f1b3b70fc12fdc547eb6c4af4060a20bf082547b7df8f1824bb1fdfafa37ab21acf2f1e231c4d2d1
diff --git a/dev-python/python-ldap/python-ldap-3.3.1.ebuild b/dev-python/python-ldap/python-ldap-3.3.1.ebuild
new file mode 100644
index 00000000000..7d0e119b94b
--- /dev/null
+++ b/dev-python/python-ldap/python-ldap-3.3.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Various LDAP-related Python modules"
+HOMEPAGE="https://www.python-ldap.org/en/latest/
+ https://pypi.org/project/python-ldap/
+ https://github.com/python-ldap/python-ldap"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-solaris"
+fi
+
+LICENSE="PSF-2"
+SLOT="0"
+IUSE="examples sasl ssl"
+
+# We do not need OpenSSL, it is never directly used:
+# https://github.com/python-ldap/python-ldap/issues/224
+RDEPEND="
+ !dev-python/pyldap
+ >=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
+ >net-nds/openldap-2.4.11:=[sasl?,ssl?]
+"
+# We do not link against cyrus-sasl but we use some
+# of its headers during the build.
+BDEPEND="
+ >net-nds/openldap-2.4.11:=[sasl?,ssl?]
+ sasl? ( >=dev-libs/cyrus-sasl-2.1 )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx Doc
+
+python_prepare_all() {
+ # The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
+ # https://github.com/pypa/setuptools_scm/issues/228
+ if [[ ${PV} == *9999* ]]; then
+ rm -r .git || die
+ fi
+
+ if ! use sasl; then
+ sed -i 's/HAVE_SASL//g' setup.cfg || die
+ fi
+ if ! use ssl; then
+ sed -i 's/HAVE_TLS//g' setup.cfg || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Run all tests which don't require slapd
+ local ignored_tests=(
+ t_bind.py
+ t_cext.py
+ t_edit.py
+ t_ldapobject.py
+ t_ldap_options.py
+ t_ldap_sasl.py
+ t_ldap_schema_subentry.py
+ t_ldap_syncrepl.py
+ t_slapdobject.py
+ )
+ pushd Tests >/dev/null || die
+ pytest -vv ${ignored_tests[@]/#/--ignore } \
+ || die "tests failed with ${EPYTHON}"
+ popd > /dev/null || die
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r Demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
next reply other threads:[~2020-10-09 23:08 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-10-09 23:08 Patrick McLean [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 19:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-ldap/ Michał Górny
2025-02-27 21:14 Michał Górny
2023-12-09 15:47 Michał Górny
2023-12-09 15:30 Michał Górny
2023-12-09 14:30 Michał Górny
2023-12-09 14:04 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-09 13:52 Michał Górny
2023-11-30 15:40 Michał Górny
2023-11-30 2:08 Sam James
2023-11-18 15:47 Michał Górny
2023-11-05 17:15 Michał Górny
2023-05-20 8:28 Michał Górny
2023-05-04 16:30 Michał Górny
2022-10-25 14:06 Michał Górny
2022-10-25 12:50 Sam James
2022-10-25 9:49 Sam James
2022-10-23 7:53 Agostino Sarubbo
2022-10-22 16:27 Arthur Zamarin
2022-09-22 12:15 Michał Górny
2022-08-12 14:09 Michał Górny
2022-08-12 10:49 Agostino Sarubbo
2022-08-10 8:04 Arthur Zamarin
2022-08-09 7:43 Agostino Sarubbo
2022-08-09 4:00 Arthur Zamarin
2022-07-07 8:26 Michał Górny
2022-06-17 6:58 Agostino Sarubbo
2022-06-16 15:46 Sam James
2022-06-16 9:41 Jakov Smolić
2022-06-16 9:37 Jakov Smolić
2022-05-14 2:52 Sam James
2022-03-26 21:47 Marek Szuba
2022-03-22 23:32 Sam James
2021-11-29 14:45 Michał Górny
2021-11-29 8:49 Agostino Sarubbo
2021-11-29 7:36 Arthur Zamarin
2021-11-29 7:36 Arthur Zamarin
2021-11-29 7:36 Arthur Zamarin
2021-11-28 23:36 Jakov Smolić
2021-11-26 21:56 Michał Górny
2021-08-08 22:20 Louis Sautier
2021-08-08 22:20 Louis Sautier
2020-11-18 9:12 Michał Górny
2020-11-17 19:17 Agostino Sarubbo
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 18:55 Agostino Sarubbo
2020-11-17 18:49 Agostino Sarubbo
2020-11-16 1:15 Sam James
2020-10-31 1:36 Patrick McLean
2020-08-02 9:15 Michał Górny
2020-03-28 21:11 Michał Górny
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-19 22:12 David Seifert
2020-02-10 18:52 Patrick McLean
2020-02-10 18:52 Patrick McLean
2020-02-10 18:48 Patrick McLean
2019-04-13 22:41 Matthew Thode
2019-03-13 17:29 Matthew Thode
2018-11-18 9:38 Mikle Kolyada
2018-06-20 21:45 Louis Sautier
2018-06-20 21:45 Louis Sautier
2018-06-20 21:45 Louis Sautier
2018-04-29 10:30 Michał Górny
2018-03-20 21:11 Michał Górny
2017-05-10 20:47 Manuel Rüger
2017-04-07 1:02 Manuel Rüger
2015-10-10 15:40 Justin Lecher
2015-10-09 10:04 Mike Gilbert
2015-09-28 12:12 Justin Lecher
2015-09-21 12:10 Justin Lecher
2015-08-25 4:35 Jeroen Roovers
2015-08-25 4:35 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1602284884.544a9136b11cd824288c6d87f94c9cff34d53681.chutzpah@gentoo \
--to=chutzpah@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox